FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Java

 
 
LinkBack Thread Tools
 
Old 03-10-2011, 02:09 PM
Zied ABID
 
Default Apache Derby packaging

Hi all,

I'm working on derby packaging [1], it's "an Apache DB subproject, is an
open source relational database implemented entirely in Java and
available under the Apache License, Version 2.0."



I begin to compile derby sources [2] with debian libs and I find problem
with javacc lib.

After some tries, I'm in a this situation : compilation success with the
emmbaded version and the officiel version of javacc 4.0 [3] but fail
with both the 5.0 officiel and Debian javacc version [4].. So the
problem seems to come from javacc version and/or options.

I've added-JDK_VERSION=1.4 as a javacc option but it seems that it need
more options to compile.

I get this error while compiling generated files :
compile:
[javac] Compiling 170 source files to .../derby/10.7.1.1/classes
[javac]
.../derby/10.7.1.1/generated/java/org/apache/derby/impl/sql/compile/SQLParserTokenManager.java:9413:
newToken(int) in org.apache.derby.impl.sql.compile.Token cannot be
applied to (int,java.lang.String)

Do you have any idea about this, or the javacc version 4 should be
packaged also ?


Thanks.
Zied

[1] http://db.apache.org/derby/
[2] http://svn.apache.org/repos/asf/db/derby/code/tags/10.7.1.1/
[3] http://java.net/projects/javacc/downloads
[4] http://packages.debian.org/squeeze/javacc


--
To UNSUBSCRIBE, email to debian-java-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4D78E99D.2000109@free.fr">http://lists.debian.org/4D78E99D.2000109@free.fr
 
Old 03-14-2011, 02:59 PM
Zied ABID
 
Default Apache Derby packaging

On 10/03/2011 16:09, Zied ABID wrote:
> Hi all,
>
> I'm working on derby packaging [1], it's "an Apache DB subproject, is an
> open source relational database implemented entirely in Java and
> available under the Apache License, Version 2.0."
>
>
>
> I begin to compile derby sources [2] with debian libs and I find problem
> with javacc lib.
>
> After some tries, I'm in a this situation : compilation success with the
> emmbaded version and the officiel version of javacc 4.0 [3] but fail
> with both the 5.0 officiel and Debian javacc version [4].. So the
> problem seems to come from javacc version and/or options.
>
> I've added-JDK_VERSION=1.4 as a javacc option but it seems that it need
> more options to compile.
>
> I get this error while compiling generated files :
> compile:
> [javac] Compiling 170 source files to .../derby/10.7.1.1/classes
> [javac]
> .../derby/10.7.1.1/generated/java/org/apache/derby/impl/sql/compile/SQLParserTokenManager.java:9413:
> newToken(int) in org.apache.derby.impl.sql.compile.Token cannot be
> applied to (int,java.lang.String)
>
> Do you have any idea about this, or the javacc version 4 should be
> packaged also ?

A patch available from upstream here :
https://issues.apache.org/jira/browse/DERBY-5125

Zied.

>
>
> Thanks.
> Zied
>
> [1] http://db.apache.org/derby/
> [2] http://svn.apache.org/repos/asf/db/derby/code/tags/10.7.1.1/
> [3] http://java.net/projects/javacc/downloads
> [4] http://packages.debian.org/squeeze/javacc
>
>


--
To UNSUBSCRIBE, email to debian-java-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4D7E3B53.8020804@free.fr">http://lists.debian.org/4D7E3B53.8020804@free.fr
 

Thread Tools




All times are GMT. The time now is 11:50 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org